summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeonardo Boshell <leonardop@gentoo.org>2005-09-08 17:19:22 +0000
committerLeonardo Boshell <leonardop@gentoo.org>2005-09-08 17:19:22 +0000
commit06d3567f531f35b14ef9bce6dbdc404b275a6d53 (patch)
tree055285eaf7d4f64be6fa15d64a075f695d4a3f37 /eclass/gnome2.eclass
parentStable on mips. (diff)
downloadhistorical-06d3567f531f35b14ef9bce6dbdc404b275a6d53.tar.gz
historical-06d3567f531f35b14ef9bce6dbdc404b275a6d53.tar.bz2
historical-06d3567f531f35b14ef9bce6dbdc404b275a6d53.zip
* gnome2.eclass: (gnome2_icon_cache_update): Only run gtk-update-icon-cache
on directories with an index.theme file (bug #105256).
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index 6718cff13d05..616959f1e907 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.61 2005/08/23 03:51:03 leonardop Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.62 2005/09/08 17:19:22 leonardop Exp $
#
# Authors:
# Bruce A. Locke <blocke@shivan.org>
@@ -132,7 +132,9 @@ gnome2_icon_cache_update() {
local retval=0
for dir in \
$(find ${ROOT}/usr/share/icons -maxdepth 1 -mindepth 1 -type d); do
- $updater -qf $dir || retval=$?
+ if [ -f "${dir}/index.theme" ]; then
+ $updater -qf $dir || retval=$?
+ fi
done
eend $retval